libshevek

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions
shevek::file Class Reference

Use normal files with the fd class. More...

`#include <file.hh>`

Inheritance diagram for shevek::file:

List of all members.

## Public Member Functions

void | open (std::string name, bool read, bool write)
| Open a new file in the object.
void | close ()
| Close the file.

## Static Public Member Functions

static Glib::RefPtr< file > | create (Glib::RefPtr< Glib::MainContext > main=Glib::MainContext::get_default())
| Create a new file object.

## Detailed Description

Use normal files with the fd class.

The documentation for this class was generated from the following file:

- src/file.hh